Sync python-qt4 4.10.3+dfsg-1 (main) from Debian unstable (main)

Bug #1251120 reported by Dmitry Shachnev on 2013-11-14
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-qt4 (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync python-qt4 4.10.3+dfsg-1 (main) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * Add patch qreal_float_support.diff back to add back QList<double> code

 Applied in 4.10.3-2.

Changelog entries since current trusty version 4.10.3-1ubuntu1:

python-qt4 (4.10.3+dfsg-1) unstable; urgency=low

  * Update pyrcc4 man page to list -py2 and -py3 options.
  * Regenerate resource files during build.
  * Repack orig tarball to remove non-free Sphinx-generated HTML
    documentation and non-free JS files (closes: #723039).
  * Add debian/get-orig-source.sh script.
  * Update debian/watch to mangle dfsg version.
  * Drop debian/python-qt4-doc.docs, we install docs directly.
  * Pass --debug to configure-ng.py when doing debug builds.
  * Add a patch (phonon_cfgtest.diff) to fix detection of new Phonon
    versions.
  * Add a patch (config_flags.diff) to apply build flags to designer
    module.
  * Remove duplicate references to GPL license file from debian/copyright.
  * Add myself to Uploaders.

 -- Dmitry Shachnev <email address hidden> Wed, 13 Nov 2013 14:02:27 +0400

python-qt4 (4.10.3-2) unstable; urgency=low

  * Upload to unstable

  [ Jonathan Riddell ]
  * Add patch qreal_float_support.diff back to add back QList<double> code

  [ Scott Kitterman ]
  * Remove __pycache__ directories shipped in some examples

 -- Scott Kitterman <email address hidden> Sat, 12 Oct 2013 02:20:26 -0400

Changed in python-qt4 (Ubuntu):
importance: Undecided → Wishlist
Daniel Holbach (dholbach) wrote :

This bug was fixed in the package python-qt4 - 4.10.3+dfsg-1
Sponsored for Dmitry Shachnev (mitya57)

---------------
python-qt4 (4.10.3+dfsg-1) unstable; urgency=low

  * Update pyrcc4 man page to list -py2 and -py3 options.
  * Regenerate resource files during build.
  * Repack orig tarball to remove non-free Sphinx-generated HTML
    documentation and non-free JS files (closes: #723039).
  * Add debian/get-orig-source.sh script.
  * Update debian/watch to mangle dfsg version.
  * Drop debian/python-qt4-doc.docs, we install docs directly.
  * Pass --debug to configure-ng.py when doing debug builds.
  * Add a patch (phonon_cfgtest.diff) to fix detection of new Phonon
    versions.
  * Add a patch (config_flags.diff) to apply build flags to designer
    module.
  * Remove duplicate references to GPL license file from debian/copyright.
  * Add myself to Uploaders.

 -- Dmitry Shachnev <email address hidden> Wed, 13 Nov 2013 14:02:27 +0400

python-qt4 (4.10.3-2) unstable; urgency=low

  * Upload to unstable

  [ Jonathan Riddell ]
  * Add patch qreal_float_support.diff back to add back QList<double> code

  [ Scott Kitterman ]
  * Remove __pycache__ directories shipped in some examples

 -- Scott Kitterman <email address hidden> Sat, 12 Oct 2013 02:20:26 -0400

Changed in python-qt4 (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers